Skip to main content
GET

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lago_id
string<uuid>
required

Unique identifier assigned to the wallet within the Lago application. This ID is exclusively created by Lago and serves as a unique identifier for the wallet's record within the Lago system.

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

status
string

The status of the wallet transaction. Possible values are pending or settled.

Example:

"pending"

transaction_status
string

The transaction status of the wallet transaction. Possible values are purchased (with pending or settled status), granted (without invoice_id), voided or invoiced.

Example:

"purchased"

transaction_type
string

The transaction type of the wallet transaction. Possible values are inbound (increasing the wallet balance) or outbound (decreasing the wallet balance).

Example:

"inbound"

Response

Wallet transactions

wallet_transactions
object[]
required
meta
object
required